# Generated from ziya-2.3.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name ziya
%global rubyabi 1.9.1

Summary: ZiYa allows you to easily create interactive charts, gauges and maps for your web applications
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.3.0
Release: 2%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://ziya.liquidrail.com/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch1: 0001-Changed-references-from-http-to-https-to-prevent-IE8.patch
Patch2: 0002-Ruby-1.9.3-Module-constants-Module.-methods-Kernel.-.patch
Patch3: 0003-Convert-each-method_name-to-a-string-instance_method.patch
Patch4: 0004-Remove-to_s-tag-correctly.patch
Patch5: 0005-Remove-to_s-tag-correctly.patch
Patch6: 0006-Change-http-to-https-flash-download-location-in-expe.patch
Patch7: 0007-Remove-spec-require-since-spec-from-rspec1-no-longer.patch
Patch8: 0008-Don-t-double-quote-strings-in-YAML-ERB-values-which-.patch
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
ZiYa allows you to easily create interactive charts, gauges and maps for your
web applications. ZiYa leverages
flash which offload heavy server side processing to the client. At the root
ZiYa allows you to easily generate an
XML files that will be downloaded to the client for rendering. Using this gem,
you will be able to easily create great
looking charts for your application. You will also be able to use the charts,
gauges and maps has a navigation scheme 
by embedding various link in the graphical components thus bringing to the
table an ideal scheme for reporting and dashboard
like applications. Your manager will love you for it !!
Sample site   : http://ziya.liquidrail.com
Documentation : http://ziya.liquidrail.com/docs
Forum         : http://groups.google.com/group/ziya-plugin
Repositories  : git://github.com/derailed/ziya.git


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

pushd .%{gem_instdir}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
rm -f resources/charts/charts_library/.DS_Store
rm -f resources/gauges/.DS_Store
rm -f resources/maps/.DS_Store
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/ziyafy
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/Gemfile
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/bin/ziyafy
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/release_notes.txt
%doc %{gem_instdir}/resources
%doc %{gem_instdir}/version.txt
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/spec

%changelog
* Mon Apr 29 2013 Steve Linabery <slinaber@redhat.com> - 2.3.0-2
- patch upstream gem version 2.3.0 to match tag v2.3.0-2 at https://github.com/ManageIQ/ziya/tree/ziya_2_3_0 

* Thu Feb 28 2013 John Eckersberg <jeckersb@redhat.com> - 2.3.0-1
- Initial package
